<?php


namespace App\Entities\Especialidade;


use App\Utils\Builder;

class EspecialidadeBuilder implements Builder
{
    protected $id;
    protected $descricao;

    public function setId($id) : EspecialidadeBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setDescricao($descricao) : EspecialidadeBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build() : Especialidade
    {
        $especialidade = New Especialidade();
        if (isset($this->id)) {
            $especialidade->setid($this->id);
        }
        if (isset($this->descricao)) {
            $especialidade->setdescricao($this->descricao);
        }
        return $especialidade;
    }
}